<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/theme_white_color"
    android:orientation="vertical"
    android:fillViewport="true"
    android:paddingLeft="@dimen/dp_18"
    android:paddingRight="@dimen/dp_18">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView
            android:id="@+id/login_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="80dp"
            android:text="@string/user_login_welcome_login"
            android:textColor="@color/user_login_title_color"
            android:textSize="@dimen/dp_26"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_account_text"
            style="@style/user_login_edit_title_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="100dp"
            android:text="賬戶"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@id/login_title" />

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/ed_login_user_account"
            style="@style/user_login_edit_style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_5"
            android:hint="請輸入賬戶名或手機號"
            android:maxLength="16"
            android:paddingRight="@dimen/dp_10"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@id/iv_clear_account"
            app:layout_constraintTop_toBottomOf="@id/tv_account_text" />

        <ImageView
            android:id="@+id/iv_clear_account"
            android:layout_width="@dimen/dp_30"
            android:layout_height="@dimen/dp_30"
            android:padding="@dimen/dp_5"
            android:src="@drawable/ic_clear_text"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@id/ed_login_user_account"
            app:layout_constraintLeft_toRightOf="@id/ed_login_user_account"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/ed_login_user_account" />

        <View
            android:id="@+id/line_account"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_0_5"
            android:background="@color/user_login_line_color"
            app:layout_constraintTop_toBottomOf="@id/ed_login_user_account" />


        <TextView
            android:id="@+id/tv_password_text"
            style="@style/user_login_edit_title_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:text="密碼"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@id/line_account" />


        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/ed_login_user_pwd"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            style="@style/user_login_edit_style"
            android:layout_marginTop="@dimen/dp_5"
            android:hint="輸入6~20個字符"
            android:inputType="textPassword"
            android:maxLength="20"
            android:paddingRight="@dimen/dp_10"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@id/ic_look_pwd"
            app:layout_constraintTop_toBottomOf="@id/tv_password_text" />

        <View
            android:id="@+id/line_password"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_0_5"
            android:background="@color/user_login_line_color"
            app:layout_constraintTop_toBottomOf="@id/ed_login_user_pwd" />

        <CheckBox
            android:id="@+id/rb_auto_login"
            android:layout_width="@dimen/dp_30"
            android:layout_height="@dimen/dp_30"
            android:layout_marginTop="@dimen/dp_15"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@id/line_password" />

        <TextView
            android:id="@+id/tv_auto_login_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:text="自動登陸"
            android:textColor="@color/theme_333_color"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@id/rb_auto_login"
            app:layout_constraintLeft_toRightOf="@id/rb_auto_login"
            app:layout_constraintTop_toTopOf="@id/rb_auto_login" />


        <CheckBox
            android:id="@+id/rb_remember_password"
            android:layout_width="@dimen/dp_30"
            android:layout_height="@dimen/dp_30"
            android:layout_marginLeft="@dimen/dp_15"
            app:layout_constraintLeft_toRightOf="@id/tv_auto_login_text"
            app:layout_constraintTop_toTopOf="@id/rb_auto_login" />

        <TextView
            android:id="@+id/tv_remember_pwd_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:text="記住密碼"
            android:textColor="@color/theme_333_color"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@id/rb_remember_password"
            app:layout_constraintLeft_toRightOf="@id/rb_remember_password"
            app:layout_constraintTop_toTopOf="@id/rb_remember_password" />

        <ImageView
            android:id="@+id/ic_look_pwd"
            android:layout_width="@dimen/dp_30"
            android:layout_height="@dimen/dp_30"
            android:padding="@dimen/dp_5"
            android:src="@mipmap/ic_password_hide"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@id/ed_login_user_pwd"
            app:layout_constraintRight_toLeftOf="@id/iv_clear_pwd"
            app:layout_constraintTop_toTopOf="@id/ed_login_user_pwd" />

        <ImageView
            android:id="@+id/iv_clear_pwd"
            android:layout_width="@dimen/dp_30"
            android:layout_height="@dimen/dp_30"
            android:padding="@dimen/dp_5"
            android:src="@drawable/ic_clear_text"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@id/ed_login_user_pwd"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/ed_login_user_pwd" />


        <TextView
            android:id="@+id/tv_forget_pwd"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="找回密碼"
            android:textColor="@color/color_3c"
            android:textSize="@dimen/dp_16"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintBottom_toBottomOf="@id/rb_auto_login"
            app:layout_constraintTop_toBottomOf="@id/rb_auto_login"
            app:layout_constraintTop_toTopOf="@id/rb_auto_login" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaButton
            android:id="@+id/btn_gsa_user_login"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_20"
            android:background="@drawable/selector_login_btn"
            android:gravity="center"
            android:text="登錄"
            android:textColor="@color/white"
            app:layout_constraintVertical_bias="1"
            app:layout_constraintTop_toBottomOf="@id/rb_auto_login"
            android:textSize="@dimen/dp_16"
            app:layout_constraintBottom_toBottomOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.core.widget.NestedScrollView>

